-- m_port.e - User interface messages in Portuguese - HIP 2.0
-- Copyright (C) 2001  Davi Tassinari de Figueiredo
--
-- Esta e uma traducao das mensagens do programa HIP para o portugues.
-- Os caracteres acentuados tem codigos ASCII diferentes em cada
-- plataforma, por isso foi necessario criar uma rotina para converter
-- esses caracteres nos codigos apropriados para a plataforma utilizada.


-- Tabelas de converso de caracteres
constant
	 ch_dos = "Ƶǂӡآ壖",
	 ch_win = "",
	 ch_lnx = "aaaaaAAAAAeeeeEEEEiiiiIIIIoooooOOOOOuuuuUUUUyyYnNcC",
	 ch_src = ch_win    -- Tabela utilizada nas mensagens

-- Selecionar tabela a ser utilizada
sequence chars

if platform() = DOS32 then chars = ch_dos
elsif platform() = WIN32 then chars = ch_win
else chars = ch_lnx end if

function f (sequence x)
    -- Converte os caracteres especiais em ch_src para os correspondentes
    -- em chars.
    atom p
    for n = 1 to length(x) do
	p = find (x[n], ch_src)
	if p then x[n] = chars[p] end if
    end for
    return x
end function

-- Mensagens de erro e de outras informacoes
-- Varias delas sao usadas em ambas as versoes
global
constant error_invalidbmp = f( "%s no  um arquivo bitmap vlido"),
	 error_corrupted = f( "%s est corrompido"),
	 error_filenameneeded = f( " preciso especificar um nome para recuperar este arquivo"),
	 error_filesystemerror = f( "Erro do sistema de arquivos ao ler %s"),
	 error_unabletoopen = f( "No foi possvel abrir %s"),
	 error_unsupportedbmp = f( "%s contm recursos no suportados"),
	 error_unknown = f( "Erro desconhecido em %s: %d"),
	 error_outofmemory = f( "Falta de memria"),
	 error_abortedbyuser = f( "Interrompido pelo usurio"),
	 error_filetoobig = f( "O arquivo  grande demais para ser escondido na imagem"),
	 error_unsupported = f( "O arquivo foi escondido com uma verso mais recente do HIP"),
	 error_colornotfound = f( "Cor no encontrada na paleta"),
	 error_mustbergb = f( "A cor transparente precisa ser no formato RGB para imagens de 24 bits"),
	 error_rgbnotgif = f( "No  possvel salvar uma figura RGB no formato GIF"),
	 error_nohiddenfile = f( "Nenhum arquivo escondido encontrado"),
	 error_hiddencorrupted = f( "Arquivo escondido est corrompido"),
	 error_differentpasswords = f( "Senhas so diferentes"),

	 info_filecanbehidden = f( "O arquivo pode ser escondido na imagem"),
	 info_filename = f( "Nome do arquivo: %s"),
	 info_nofilename = f( "Nome do arquivo no armazenado"),
	 info_filesize = f( "Tamanho do arquivo: %d bytes"),
	 info_crcpresent = f( "CRC armazenado"),
	 info_crcnotpresent = f( "CRC no armazenado"),
	 info_algorithmused = f( "Algoritmo de encriptao: %s"),
	 info_nothingtodo = f( "Nada a fazer"),

	 prompt_enterpassword   = f( "Entre a senha   : "),
	 prompt_confirmpassword = f( "Confirme a senha: "),
	 prompt_overwritepicture = f( "Sobrescrever %s [S/n] ? "),
	 prompt_overwrite = f( "%s j existe, sobrescrever [s/N] ? ")


-- Mensagens de estado - varias delas sao usadas em ambas as versoes
global
constant status_opening_bmp = f( "Abrindo %s"),
	 status_initializing = f( "Inicializando processo"),
	 status_hiding = f( "Escondendo "),
	 status_retrieving = f( "Recuperando "),
	 status_writing_in_picture = f( "Escrevendo "),
	 status_reading_from_picture = f( "Lendo "),
	 status_saving_bmp = f( "Gravando %s"),
	 status_done = f( "Operao completada com sucesso.")



-- Os textos a seguir The following texts are used only in the DOS/Linux version

-- Program ID, shown when command-line program is run
global constant program_id = f( "Hide In Picture 2.0 - (C) 2001 Davi Figueiredo")

-- Keys used for Yes and No (case-insensitive)
global constant yes_key = 'S', no_key = 'N'

global constant help = program_id & "\n\n" & f(
    "Esconder:    hip h imagem_origem arquivo_entrada [imagem_destino] [opes]\n"&
    "Recuperar:   hip r imagem_origem [arquivo_sada] [opes]\n"&
    "Apagar:      hip e imagem_origem [imagem_destino] [opes]\n\n"&
    "Opes:      fXXXXXX        - nome do arquivo a ser escrito na imagem\n"&
    "             pXXXXXX        - senha a usar\n"&
    "             tHH or tHHHHHH - ndice ou valor RGB da cor transparente\n"&
    "             eX             - usar o algoritmo de encriptao especificado:\n"&
    "                              %s\n"&
    "           * c              - escrever o CRC-32 do arquivo\n"&
    "             C              - no escrever o CRC-32 do arquivo\n"&
    "           * h              - ocultar os caracteres da senha ao digitar\n"&
    "             H              - no ocultar os caracteres da senha ao digitar\n"&
--     "           * b              - criar arquivo BMP\n"&
--     "             g              - criar arquivo GIF (padro se a extenso for GIF)\n"&
    "             v              - apenas ver informaes do arquivo (no gravar)\n" &
    "             q              - modo silencioso (apenas mensagens necessrias)\n"&
    "             y              - responder 'sim' a perguntas de confirmao\n"&
    "           * = opes padro\n\n"&
    "           Leia a documentao para informaes mais detalhadas.\n")



-- The following texts are used only in the Windows version


global constant ErrorWin_title = f( "HIP - Erro" )

global constant MainWin_title = f( "HIP 2.0"),
		FileMenu_title = f( "&Arquivo"),
		FileOpen_title = f( "&Abrir imagem..."),
		FileExit_title = f( "Sai&r"),

		HelpMenu_title = f( "Aj&uda"),
		HelpManual_title = f( "&Manual do usurio"),
		HelpAbout_title = f( "&Sobre..."),

		HideWin_title = f( "Esconder - Opes"),
		RetrieveWin_title = f( "Recuperar - Opes"),
		EraseWin_title = f( "Apagar - Opes"),

		EnterPwd_title = f( "Entre a senha:"),
		ConfirmPwd_title = f( "Confirme a senha:"),
		FileName_title = f( "Nome do arquivo:"),
		Encryption_title = f( "Algoritmo de encriptao:"),
		WriteCRC_title = f( "Escrever CRC"),
		EraseUsingPwd_title = "Apagar dados escondidos com a senha",
		VerifyPassword_title = "Verificar senha antes de apagar",

		ColorWin_title = f( "Escolher cor transparente"),
		CW_info_notransparent = f( "Nenhuma cor transparente"),
		CW_transparent_text = f( "Cor transparente"),

		PCW_index_text = f( "ndice da cor:"),
		PCW_index_hint = f( "ndice da cor"),
		PCW_info_text = f( "ndice: %d (#%x)   -   Vermelho:%d Verde:%d Azul:%d"),

		RCW_red_text = f( "Vermelho: %d"), RCW_red_text_none = f ("Vermelho"),
		RCW_green_text = f( "Verde: %d"), RCW_green_text_none = f ("Verde"),
		RCW_blue_text = f( "Azul: %d"), RCW_blue_text_none = f ("Azul"),

		RCW_info_text = f( "Cor transparente: #%02x%02x%02x"),

		OK_title = f( "OK"),
		Cancel_title = f( "Cancelar"),

		ProgressWin_title = f( "Trabalhando..."),

		OpenPicture_hint = f( "Abre imagem"),
		Cancel_hint = f( "Cancela operao"),
		Hide_hint = f( "Esconde arquivo na imagem"),
		Retrieve_hint = f( "Recupera arquivo oculto na imagem"),
		SavePicture_hint = f( "Grava imagem"),
		SavePictureAs_hint = f( "Grava imagem como"),

		AllFiles_title = f( "Todos os arquivos (*.*)"),
		BitmapFiles_title = f( "Imagens bitmap (*.bmp)"),

		NoTransparent_info = f( "Nenhuma"),
		PictureInfo_text =f (
		"Arquivo: %s\nDimenses: %d x %d\nBits por pixel: %d\n"&
		"Cor transparente: %s\n\nCapacidade mxima: %d bytes"),
		PictureInfo_title = f( "Informaes da imagem"),

		Child_title = f("%s - ") & MainWin_title,
		ImageMenu_title = f( "&Imagem"),
		ImageHide_title = f( "&Esconder arquivo..."),
		ImageRetrieve_title = f( "&Recuperar arquivo..."),
		ImageErase_title = "&Apagar arquivo...",
		ImageSave_title = f( "&Gravar imagem"),
		ImageSaveAs_title = f( "Gravar imagem &como..."),
		ImageClose_title = f( "&Fechar imagem"),
		ImageTransparent_title = f( "Cor &transparente..."),
		ImageInformation_title = f( "&Informaes da imagem..."),

		ViewMenu_title = f( "&Visualizao"),
		ViewFitWindow_title = f( "&Ajustar janela  imagem"),

		ZoomMenu_title = f( "Ampliao"),

		SavePicture_text = f( "%s\nfoi modificado. Deseja salv-lo antes de fechar?"),
		SavePicture_title = f( "Pergunta"),

		FitToWindow_text = f( "Ajustar  janela"),

		About_text = f( "Hide In Picture - verso 2.0\n" &
			     "Direitos autorais (C) 2001  Davi Figueiredo\n\n" &
			     "Este program foi criado usando-se:\n"&
			     "Euphoria por RDS\n"&
			     "Win32Lib por David Cuny, Derek Parnell e outros\n\n"&
			     "Este programa  distribudo nos termos da\n"&
			     "Licena Pblica GNU.\n\n"&
			     "Visite http://davitf.n3.net/ para as ltimas verses e notcias."),

		About_title = f( "Sobre HIP")



